@charset "UTF-8";
.onoffswitch {
  position: relative;
  width: 80px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.onoffswitch-checkbox {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

.onoffswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 2px solid #ffffff;
  border-radius: 50px;
}

.onoffswitch-inner {
  display: block;
  width: 200%;
  margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}
.onoffswitch-inner:before,
.onoffswitch-inner:after {
  display: block;
  float: left;
  width: 50%;
  height: 33px;
  padding: 0;
  line-height: 33px;
  font-size: 0.85rem;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  box-sizing: border-box;
}
.onoffswitch-inner:before {
  content: "啟用";
  padding-right: 18px;
  background-color: #34a7c1;
  color: #ffffff;
}
.onoffswitch-inner:after {
  content: "停用";
  padding-right: 18px;
  background-color: #eeeeee;
  color: #999999;
  text-align: right;
}

.onoffswitch2-inner {
  display: block;
  width: 200%;
  margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}
.onoffswitch2-inner:before,
.onoffswitch2-inner:after {
  display: block;
  float: left;
  width: 50%;
  height: 33px;
  padding: 0;
  line-height: 33px;
  font-size: 0.85rem;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  box-sizing: border-box;
}
.onoffswitch2-inner:before {
  content: "是";
  padding-right: 18px;
  background-color: #34a7c1;
  color: #ffffff;
}
.onoffswitch2-inner:after {
  content: "否";
  padding-right: 18px;
  background-color: #eeeeee;
  color: #999999;
  text-align: right;
}

.onoffswitch-switch {
  display: block;
  width: 18px;
  margin: 7.5px;
  background: #ffffff;
  position: absolute;
  top: 0;
  bottom: 8px; /*因應搭配bootstrap-flex justify-content-center樣式做調整*/
  right: 43px;
  border: 2px solid #ffffff;
  border-radius: 50px;
  transition: all 0.3s ease-in 0s;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
  margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch2-inner {
  margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
  right: 0px;
}
